# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default

# Include any dependencies generated for this target.
include luafwk/lfs/CMakeFiles/lfs.dir/depend.make

# Include the progress variables for this target.
include luafwk/lfs/CMakeFiles/lfs.dir/progress.make

# Include the compile flags for this target's objects.
include luafwk/lfs/CMakeFiles/lfs.dir/flags.make

luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o: luafwk/lfs/CMakeFiles/lfs.dir/flags.make
luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o: /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/lfs/lfs.c
	$(CMAKE_COMMAND) -E cmake_progress_report /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building C object luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles/lfs.dir/lfs.c.o   -c /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/lfs/lfs.c

luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/lfs.dir/lfs.c.i"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -E /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/lfs/lfs.c > CMakeFiles/lfs.dir/lfs.c.i

luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/lfs.dir/lfs.c.s"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -S /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/lfs/lfs.c -o CMakeFiles/lfs.dir/lfs.c.s

luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.requires:
.PHONY : luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.requires

luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.provides: luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.requires
	$(MAKE) -f luafwk/lfs/CMakeFiles/lfs.dir/build.make luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.provides.build
.PHONY : luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.provides

luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.provides.build: luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o

# Object files for target lfs
lfs_OBJECTS = \
"CMakeFiles/lfs.dir/lfs.c.o"

# External object files for target lfs
lfs_EXTERNAL_OBJECTS =

runtime/lua/lfs.so: luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o
runtime/lua/lfs.so: luafwk/lfs/CMakeFiles/lfs.dir/build.make
runtime/lua/lfs.so: luafwk/lfs/CMakeFiles/lfs.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking C shared module ../../runtime/lua/lfs.so"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/lfs.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
luafwk/lfs/CMakeFiles/lfs.dir/build: runtime/lua/lfs.so
.PHONY : luafwk/lfs/CMakeFiles/lfs.dir/build

luafwk/lfs/CMakeFiles/lfs.dir/requires: luafwk/lfs/CMakeFiles/lfs.dir/lfs.c.o.requires
.PHONY : luafwk/lfs/CMakeFiles/lfs.dir/requires

luafwk/lfs/CMakeFiles/lfs.dir/clean:
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs && $(CMAKE_COMMAND) -P CMakeFiles/lfs.dir/cmake_clean.cmake
.PHONY : luafwk/lfs/CMakeFiles/lfs.dir/clean

luafwk/lfs/CMakeFiles/lfs.dir/depend:
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/lfs /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.default/luafwk/lfs/CMakeFiles/lfs.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : luafwk/lfs/CMakeFiles/lfs.dir/depend

